curl -X GET "https://call.aiployees.com/api/user/conversations?type=widget&per_page=10" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"current_page": 1,
"data": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"assistant_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"assistant_name": "Support Assistant",
"type": "widget",
"message_count": 12,
"total_cost": 0.0045,
"ai_enabled": true,
"created_at": "2025-01-25 14:30:00",
"updated_at": "2025-01-25 14:45:22"
},
{
"id": "8d0f7780-8536-51ef-055c-f18fd2g01bf8",
"assistant_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"assistant_name": "Support Assistant",
"type": "whatsapp",
"message_count": 8,
"total_cost": 0.0032,
"ai_enabled": true,
"created_at": "2025-01-25 10:15:00",
"updated_at": "2025-01-25 10:28:45"
}
],
"first_page_url": "https://call.aiployees.com/api/user/conversations?page=1",
"from": 1,
"last_page": 5,
"last_page_url": "https://call.aiployees.com/api/user/conversations?page=5",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://call.aiployees.com/api/user/conversations?page=1",
"label": "1",
"active": true
},
{
"url": "https://call.aiployees.com/api/user/conversations?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://call.aiployees.com/api/user/conversations?page=2",
"path": "https://call.aiployees.com/api/user/conversations",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 68
}
List all conversations for the authenticated user with filtering and pagination
curl -X GET "https://call.aiployees.com/api/user/conversations?type=widget&per_page=10" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"current_page": 1,
"data": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"assistant_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"assistant_name": "Support Assistant",
"type": "widget",
"message_count": 12,
"total_cost": 0.0045,
"ai_enabled": true,
"created_at": "2025-01-25 14:30:00",
"updated_at": "2025-01-25 14:45:22"
},
{
"id": "8d0f7780-8536-51ef-055c-f18fd2g01bf8",
"assistant_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"assistant_name": "Support Assistant",
"type": "whatsapp",
"message_count": 8,
"total_cost": 0.0032,
"ai_enabled": true,
"created_at": "2025-01-25 10:15:00",
"updated_at": "2025-01-25 10:28:45"
}
],
"first_page_url": "https://call.aiployees.com/api/user/conversations?page=1",
"from": 1,
"last_page": 5,
"last_page_url": "https://call.aiployees.com/api/user/conversations?page=5",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://call.aiployees.com/api/user/conversations?page=1",
"label": "1",
"active": true
},
{
"url": "https://call.aiployees.com/api/user/conversations?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://call.aiployees.com/api/user/conversations?page=2",
"path": "https://call.aiployees.com/api/user/conversations",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 68
}
Authorization header as a Bearer token.test, widget, whatsapp, apiShow properties
test, widget, whatsapp, or apicurl -X GET "https://call.aiployees.com/api/user/conversations?type=widget&per_page=10" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"current_page": 1,
"data": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"assistant_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"assistant_name": "Support Assistant",
"type": "widget",
"message_count": 12,
"total_cost": 0.0045,
"ai_enabled": true,
"created_at": "2025-01-25 14:30:00",
"updated_at": "2025-01-25 14:45:22"
},
{
"id": "8d0f7780-8536-51ef-055c-f18fd2g01bf8",
"assistant_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"assistant_name": "Support Assistant",
"type": "whatsapp",
"message_count": 8,
"total_cost": 0.0032,
"ai_enabled": true,
"created_at": "2025-01-25 10:15:00",
"updated_at": "2025-01-25 10:28:45"
}
],
"first_page_url": "https://call.aiployees.com/api/user/conversations?page=1",
"from": 1,
"last_page": 5,
"last_page_url": "https://call.aiployees.com/api/user/conversations?page=5",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://call.aiployees.com/api/user/conversations?page=1",
"label": "1",
"active": true
},
{
"url": "https://call.aiployees.com/api/user/conversations?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://call.aiployees.com/api/user/conversations?page=2",
"path": "https://call.aiployees.com/api/user/conversations",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 68
}
| Type | Description |
|---|---|
test | Internal test conversations from the assistant testing interface |
widget | Conversations from the web chat widget |
whatsapp | WhatsApp Business conversations |
api | Conversations created via the API |